﻿using Blazored.LocalStorage;
using Microsoft.AspNetCore.Components.Forms;
using Microsoft.AspNetCore.Components;
using Blazor.Models;
using Blazor.Services;

namespace Blazor.Pages.Admins
{
    public partial class AddAdministrators
    {
        private AdministratorsModel administratorsModel = new();

        [Inject]
        public IDataService DataService { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }


        private async void HandleValidSubmit()
        {
            await DataService.Add(administratorsModel);

            NavigationManager.NavigateTo("administrators");
        }
    }
}
